package com.hys.app.mapper.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseMapperX;
import com.hys.app.model.erp.dos.CustomerDO;
import com.hys.app.model.erp.dos.UserMenuDO;
import com.hys.app.model.erp.dto.CustomerQueryParams;
import com.hys.app.model.erp.dto.UserMenuQueryParams;
import org.apache.ibatis.annotations.Mapper;

/**
 * 商品标签 Mapper
 *
 * @author 张崧
 * 2024-03-20 16:23:19
 */
@Mapper
public interface UserMenuMapper extends BaseMapperX<UserMenuDO> {

    default WebPage<UserMenuDO> selectPage(UserMenuQueryParams params) {
        return lambdaQuery()
                .eqIfPresent(UserMenuDO::getUserId,params.getUserId())
                .orderByDesc(UserMenuDO::getId)
                .page(params);
    }

}

